
/**
 * @file weather_es.js
 * 
 * This file implements the AJAX call for the weather_es bolcks
 * 
 *  @author Pablo López
 */

Drupal.behaviors.weather_es = function(context) {
  Weather_es.updatePager('1',0);
  Weather_es.updatePager('1',1);
  $('a.weather_es').click(function(){
    var items = $(this).attr('id').split("-");
    Weather_es.pagerClick(items[3], items[1],items[2]);
  });
}

/**
 * Variable for Weather_es namespace
 */
var Weather_es = {};

/**
 * Function that implements the AJAX call
 */
Weather_es.updateBlock = function(page,which_block, city){
  $('#weather_es-city-'+ which_block+'-'+city).load(Drupal.settings.basePath+'weather_es/reload',{ 'weather_es_page': page, 'which_block':which_block, 'city':city },function(){Weather_es.updatePager(page, which_block, city)});
}

/**
 * Click pager handler
 */
Weather_es.pagerClick = function(pager,which_block, city){
	Weather_es.updateBlock(pager,which_block, city);
}

/**
 * Update the Pager style after in the AJAX callback function
 */
Weather_es.updatePager = function(page,which_block,city){
	if (typeof city === 'undefined'){
      city = '';
	}
  $('a[id^="weather_es_pager-'+which_block+'-'+city+'"]').each(function(){
    if (parseInt($(this).attr('id').split("-")[3]) == page){
      $(this).addClass('pager-current');
    }else{
      $(this).removeClass('pager-current');	
    }	
  })
}
